<%@ page language="C#" autoeventwireup="true" inherits="admin_seo_spidersearch, localhost_deploy" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head >
<title>关键词页</title>
<link href="/admin/common/client.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="/common/client.js" charset="utf-8"></script>
<script language='javascript' src="/common/popcalendar.js"></script>

</head>
<body style="height:100%;">
	<div style="width:99%;height:13%;">
		<div style="padding:10px;">
<form method="get" action="spiderlist.aspx" target="list" id="frmsearch" >
<div style="height:28px;width:500px;">
显示：<select name="rang" onsubmit="return CheckData()" id="seldate" style="width:125px;">
<option selected="selected" value="0">当天</option>
<option value="1">昨天</option>
<option value="2">过去7天</option>
<option value="3">本月</option>
<option value="4">上月</option>
<option value="5">某一天</option>
<option value="6">某一段时间</option>
<option value="10">所有时间</option>
</select>
<input type="hidden" name="ord"  id="ord" value=""  />
<span id="spnday" style="display:none;">日期：<input type="text" size="12" class="inputbox"  name="date" value="<%=WebCode.function.GetDate(Now())%>" readonly="readonly" onclick='popUpCalendar(this, $("frmsearch").date, "yyyy-mm-dd",-1,-1,"")' /></span>
<span id="spnperiod" style="display:none;">从：<input type="text" size="12" class="inputbox" name="from" id="from" readonly="readonly" onclick='popUpCalendar(this, $("frmsearch").from, "yyyy-mm-dd",-1,-1,"")'  value="<%=WebCode.function.GetDate(Now())%>"  /> 到 <input  value="<%=WebCode.function.GetDate(Now())%>"  type="text" size="12" class="inputbox" name="to" id="to" readonly="readonly" onclick='popUpCalendar(this, $("frmsearch").to, "yyyy-mm-dd",-1,-1,"")' /></span>
</div>
类型：<input type="radio" value="0" name="type" id="detail" checked="checked"  /><label for="detail">详细记录</label><input type="radio" value="2" name="type"  id="group"  /><label for="group">蜘蛛组记录</label><input type="radio" value="1" name="type"  id="file"  /><label for="file">文件组记录</label> <br />
<input type="submit"  value="提交" class="button" style="margin:5px 0px 0px 120px;" />
</form>
</div>
<script language='javascript' >
function CheckData()
{
	if($('seldate').value=="6")
	{
		var d_from=new Date($('from').value);
		var d_to=new Date($('to').value);
		if(d_from>d_to)
		{
			alert("起始日期不能大于结束日期。");
			return false;
		}
	}
	
	if($('detail').checked==true)
	{
		$('ord').value="K_Time desc";
	}
	else
	{
		$('ord').value="count(k_name) desc";
	}
	
	return true;
}

$('seldate').onchange=function ()
{
	$('spnday').style.display="none";
	$('spnperiod').style.display="none";
	switch($('seldate').value)
	{
		 case "5": //某一天
		 {
		 		$('spnday').style.display="";
		 		break;
		 }
		 case "6": //某一段时间
		 {
		 		$('spnperiod').style.display="";
		 		break;
		 }
	}
}
</script>
	</div>
	<hr size="1" />
	<div style="width:99%;height:83%;">
		<iframe name="list" src="spiderlist.aspx?ord=D_ID desc&type=0" frameborder="0" width="100%" height="100%"></iframe>
	</div>
</body>
</html>   
